import matplotlib.pyplot as plt
"""
           背景色が黒の描画画面の作成
"""
plt.figure(figsize=(7,7), facecolor='k')
"""
               座標内を青に設定
"""
ax = plt.axes()
ax.set_facecolor('b')
"""
          座標の枠を黄色の線で表示
       描画領域の基準位置として使用
"""
plt.plot([0,1,1,0,0], [0,0,1,1,0], 'y')
"""
            大きな白い円盤の表示
        色をRGB'#FFFFFF'で設定している
"""
plt.scatter(0.5, 0.7, marker='o', s=5000, c='#FFFFFF')
"""
        rcParamsによりマーカーの枠の色と枠の太さを設定
"""
plt.rc('lines', markeredgecolor='g', markeredgewidth=10)
"""
      2つの上向き三角形の点の描画
      linewidth=0と設定して２つの点の間の線分の描画を無効にしている
"""
plt.plot([0.25, 0.75], [0.2, 0.2], c='cyan', marker='^', markersize=100,
         linewidth=0)
"""
         rcParamsをデフォルト値に戻す
"""
plt.rcdefaults()
"""
                  星印の描画
"""
plt.scatter(0.5, 0.4, marker='*', s = 1000, c = 'orange')
plt.scatter([0.2, 0.8], [0.8, 0.8], marker='*', c='y', s=200)
"""
　　　　　茶色の太い線を引いてから、上から黒の点線を描画
"""
plt.plot([0,1],[0.01,0.01], c = 'saddlebrown', linewidth=20)
plt.plot([0,1],[0.01,0.01], c = 'k', linestyle=(0,(0.1,1)), linewidth=20)
plt.show()

