import pandas as pd
import matplotlib.pyplot as plt
import numpy as np

with open('SampleP.csv', 'r') as f:
    csv_data_p = pd.read_csv(f)
print('csv_data =\n', csv_data_p)
names_p = [v for v in csv_data_p.keys()]
print('names =\n', names_p)
data_p = csv_data_p.values
print('data =\n', data_p)
X_p = np.array(csv_data_p['X'])
print('X =\n', X_p)
Y_p = np.array(csv_data_p['Y'])
print('Y =\n', Y_p)

with open('SampleN.csv', 'r') as f:
    csv_data_n = pd.read_csv(f)
print('csv_data =\n', csv_data_n)
names_n = [v for v in csv_data_n.keys()]
print('names =\n', names_n)
data_n = csv_data_n.values
print('data =\n', data_n)
X_n = np.array(csv_data_n['X'])
print('X =\n', X_n)
Y_n = np.array(csv_data_n['Y'])
print('Y =\n', Y_n)

plt.scatter(data_p.T[0], data_p.T[1], marker = 'o', c = 'g', label = 'SampleP')
plt.scatter(data_n.T[0], data_n.T[1], marker = 'o', c = 'b', label = 'SampleN')
plt.scatter([2.5], [3.0], marker = '*', s = 200, c = 'r', label = 'means')
plt.xlabel('X', fontsize = 16)
plt.ylabel('Y', fontsize = 16)
plt.legend()
plt.show()
