import pandas as pd
import numpy as np

with open('SampleP.csv', 'r') as f:
    csv_data = pd.read_csv(f)
print('csv_data =\n', csv_data)
X = np.array(csv_data['X'])
print('X =\n', X)
Y = np.array(csv_data['Y'])
print('Y =\n', Y)

mean_X = np.mean(X)
mean_Y = np.mean(Y)
cov = np.mean((X - mean_X) * (Y - mean_Y))
print('cov =', cov)

ck_cov = np.cov(X, Y, ddof=0)
print('ck_cov =', ck_cov)

print('V(X) =', np.var(X), '   V(Y) =', np.var(Y))

z_X = (X - mean_X) / np.std(X)
z_Y = (Y - mean_Y) / np.std(Y)
print('z_X =\n', z_X)
print('z_Y =\n', z_Y)
corr = np.mean(z_X * z_Y)
print('corr =', corr)

corr_ck = np.corrcoef(X, Y)
print('corr_ck =', corr_ck)

import scipy
corr_ck1 = scipy.stats.pearsonr(X, Y).statistic
print('corr_ck1 =\n', corr_ck1)
