import pandas as pd
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('Tokyo2022.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み
print('csv_data =\n', csv_data)

means = csv_data['平均気温'].values     #    平均気温データの取り出し
print('means =\n', means)
months = ['１月','２月','３月','４月','５月','６月',
          '７月','８月','９月','１０月','１１月','１２月']
plt.plot(months, means)            #    折れ線のプロット
plt.show()
