import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
import japanize_matplotlib              #   日本語表示用モジュール

with open('最高最低気温20231127.csv', 'r') as f:
    csv_data = pd.read_csv(f)           #   CSVファイルの読み込み

maxs = csv_data['最高気温'].values
mins = csv_data['最低気温'].values

plt.scatter(mins, maxs)                 #   散布図の描画
plt.xlabel('最低気温', fontsize=16)
plt.ylabel('最高気温', fontsize=16)
plt.show()
