import numpy as np
import pandas as pd

csv_data = pd.read_csv('data.csv')
print('csv_data =\n', csv_data)
names = [v for v in csv_data.keys()]
print('names =\n', names)
data = csv_data.values
print('data =\n', data)
X = np.array(csv_data['X'])
print('X =\n', X)
meanX = np.mean(X)
sdX = np.std(X)
print('meanX =', meanX, '   sdX =', sdX)
z_X = (X - meanX) / sdX
print('z_X =\n', z_X)
Y = np.array(csv_data['Y'])
print('Y =\n', Y)
meanY = np.mean(Y)
sdY = np.std(Y)
print('meanY =', meanY, '   sdY =', sdY)
z_Y = (Y - meanY) / sdY
print('z_Y =\n', z_Y)
csv_data['z_X'] = z_X
csv_data['z_Y'] = z_Y
print(csv_data)

with open('check_1.csv', 'w') as f_csv:
    csv_data.to_csv(f_csv, index=False, lineterminator='\n')

import scipy
z = scipy.stats.zscore(X)
print('z =\n', z)
